/** @file */
#include "disk.h"
#include "parsing.h"
#include <stdlib.h>

int main() {

  disk drive;
  if (access("disk", F_OK) == 0) {
    drive = open_disk("disk");
  } else
    drive = create_disk();

  open_seyshell(&drive);

  return EXIT_SUCCESS;
}